## org.apache.mahout.fpm.pfpgrowth.fpgrowth
Class LeastKCache<K extends Comparable<? super K>,V>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.fpgrowth.LeastKCache<K,V>

    public class LeastKCache<K extends Comparable<? super K>,V>

extends Object

Constructor Summary
`LeastKCache(int capacity)`

Method Summary
`boolean` `contains(K key)`
`V` `get(K key)`
`void` `set(K key, V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeastKCache

    public LeastKCache(int capacity)

Method Detail

### get

    public final V get(K key)

### set

    public final void set(K key,
                          V value)

### contains

    public final boolean contains(K key)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.